# -*- coding: utf-8 -*-

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2021 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

"""
This module contains a class for applying ROC Advice
"""
import logging

from .wpos_base import WPOSModuleApply

logger = logging.getLogger('roc_advice')


class ROCAdvice(WPOSModuleApply):
    """Object Cache advice"""

    short_description = "Turn on Object Cache module"
    detailed_description = "To improve site performance, enable the Object Cache Module from the AccelerateWP suite. We recommend applying the advice if you see it frequently for the most valuable URLs of your site."
    apply_button_text = "Turn on caching"
    module_name = 'object_cache'
